/* $XConsortium: cards.h,v 1.1 95/01/06 20:53:10 kaleb Exp $ */
/* $XFree86: xc/programs/Xserver/hw/xfree86/xf86config/cards.h,v 3.1 1995/01/28 16:15:19 dawes Exp $ */

#ifndef CARD_DATABASE_FILE
#define CARD_DATABASE_FILE "Cards"
#endif

#define MAX_CARDS 1000

#define UNLISTED_CARD -1

typedef struct
{
	char *name;			/* Name of the card. */
	char *chipset;			/* Chipset (decriptive). */
	char *server;			/* Server identifier. */
	char *ramdac;			/* Ramdac identifier. */
	char *clockchip;		/* Clockchip identifier. */
	char *dacspeed;			/* DAC speed rating. */
	char *driver;			/* XFree 4 driver */
	int flags;
	char *lines;			/* Additional Device section lines. */
} Card;

/* Flags: */
#define NOCLOCKPROBE	(1 << 0)	/* Never probe clocks of the card. */
#define UNSUPPORTED	(1 << 1)	/* Card is not supported (only VGA). */

extern int lastcard;

extern Card card[MAX_CARDS];


int parse_database ();
